# debian

Debian init scripts

### - 预构建的优化版 nginx：

1. 请从 [packages](https://git.ofcss.com/kairee/-/packages/generic/nginx/versions) 下载对应架构和版本的预购建优化版 nginx 的 deb 包；
2. 执行 `apt install libjemalloc2` 安装依赖的 jemalloc 包；
3. 执行 `dpkg -i nginx-xxxxx.deb` 安装

### - CPU 占用率保持工具使用说明：

1. 将对应架构（amd64、arm64）的文件拷贝到需要的目录；
2. 启动 screen 或者 tmux 进程
3. 执行 `./cpulimit -l 20 -i ./keeper`
  - `-l 20`: 想要限制的占用率
  - `-i`: 限制对子进程也生效

例如：

```bash
$ git clone https://git.ofcss.com/kairee/debian.git
$ mv debian/bin/amd64 /usr/local/keeper
$ screen -S cpukeeper
$ cd /usr/local/keeper
$ ./cpulimit -l 19 -i ./keeper
```

另外启动一个窗口，用 top 或者 htop（推荐）查看 CPU 占用率
